{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block title %} Products {% endblock %}

{% block extra_style_block %}
    {{block.super}}

    <style>
        b.no-record {
            line-height: 1.2;
            font-size: 16px;
            float: right;
            margin: 3px 0 0;
            color: #067d06;
        }
        .order-detail{margin-top: 3%;}
        div#div-over {
            min-width: 100px;
            min-height: 100px;
            background: #ccc;
            /* display: none; */
            top: 25px;
            right: 0;
        }
        .in-stock {
            display: block;
            text-align: center;
            position: relative;
            cursor: pointer;
        }
        div.feature {
            position: absolute;
            background: #f7f7f7;
            left: 0;
            width: 100%;
            /* top: 100%;
            max-height: 75px; */
            top: 0;
            max-height: 68px;
            text-align: justify;
            overflow-y:scroll;
            z-index: 11;
            padding: 10px;
            animation: appear 350ms ease-in 1;
            border: 1px solid #dcd5d5;
            display:none;
        }
        @keyframes appear {
          0%{
            opacity: 0;
            transform: translateY(-7px);
          }
        }
    </style>

    <link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">
    <style>
        .placeOrder{
            padding: 12px 35px;
            border-radius: 4px;
            color: #fff;
        }
        .placeOrder:hover{
            color: #fff;
        }
        .min-error {
            margin: 0 auto 0 1%;
            font-size: 16px;
            padding: 6px 12px;
            background: yellow;
            color: #000;
            border-radius: 4px;
            border: 1px solid #d4d41d;
            float: left;
            max-width: 70%;
        }
        b.no-record {
            line-height: 1.2;
            font-size: 16px;
            float: right;
            margin: 3px 0 0;
            color: #067d06;
        }
        #ddlSelect_1 {
            margin-left: 0;
        }
    </style>
{% endblock %}

{% block content %}

    <form method="POST" id="myForm">
        {% csrf_token %}

        <!-- Content Header (Page header) -->
        <section class="content-header col-content" style="position: static;top: 0px;left: 0px;width: 100%;margin-top: -3%;">
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12 col-customer">
                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-12" id="thirddiv">
                            <select class="categery-select ddl" name="third" id="ddlSelect_1">
                                <option value="">Please Select Category</option>
                                {% for obj in one %}
                                <option {% if obj.name == varOne %}selected{% endif %} value="{{obj.name}}">{{obj.name}}</option>
                                {% endfor %}
                            </select>

                            <select class="categery-select ddl" name="four" id="ddlSelect_2">
                                <option value="">All</option>
                                {% for obj in two %}
                                    <option {% if obj.name == varTwo %}selected{% endif %} value="{{obj.name}}">{{obj.name}}</option>
                                {% endfor %}
                            </select>

                            <select class="categery-select ddl" name="five" id="ddlSelect_3">
                                <option value="">All</option>
                                {% for obj in three %}
                                <option {% if obj.name == varThree %}selected{% endif %} value="{{obj.name}}">{{obj.name}}</option>
                                {% endfor %}
                            </select>

                            <button id="btn-product-search" type="submit" name="search" class="filter-btn">Search</button>
                        </div>

                        <div class="col-xs-12 col-sm-12 col-md-12 product-heding" style="margin-top: 2%;">
                            <h2 style="float: left;margin-top: 0;">Products: </h2>
                            {% if msg %}
                                <div class="min-error">
                                    <i class="fa fa-warning" style="color: red;"></i> &nbsp; {{msg}}
                                </div>
                            {% else %}
                                <b class="no-record">{{total_search_record}}</b>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <!-- Main content -->
        <section class="content">
            <input type="hidden" name="firstobj" id="firstobj" value="{{varfirst}}">
            <input type="hidden" name="secondobj" id="secondobj" value="{{varsecond}}">
            <input type="hidden" name="thirdobj" id="thirdobj" value="{{varthird}}">
            <input type="hidden" name="fourobj" id="fourobj" value="{{varfour}}">
            <input type="hidden" name="fiveobj" id="fiveobj" value="{{varfive}}">

            <div class="order-content-wrapper">
                {% autoescape off %}
                    {{htmlformat}}
                {% endautoescape %}

                {% if listdata %}
                    <a class="place-order placeOrder" href="{% url 'customerorderdetail' %}" style="font-weight: 600;font-size: 18px;">Place Order</a>
                {% endif %}
            </div>
        </section>
    </form>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script type="text/javascript">
        $(document).ready(function(){

            $(document).on('mouseover', '.in-stock', function() {
                // debugger;
                var description = $(this).children('div').children('p').text().trim();
                if(description != "" && description != null && description != undefined && description != "None") {
                    var div_id = this.children[0].id;
                    $("#" + div_id).show();
                }

                // var description = $(this).attr('data-description')
                // $("#div-over").html("<p>"+description+"</p>");
                // $("#div-over").show();
            })

            $(document).on('mouseout', '.in-stock', function() {
                var div_id = this.children[0].id;
                $("#" + div_id).hide();

                // $("#div-over").html();
                // $("#div-over").hide();
            })
        })
    </script>

    <script src="{% static 'js/jquery-session.js' %}"></script>
    <script src="{% static 'js/product_list.js' %}"></script>
{% endblock %}